Lock Screen Security Flaw Means iOS 4.1.1 Could Be Coming Soon, Save Your SHSH’s!

With the current news that there is a security flaw in iOS 4.x.x that can expose your contacts, recent calls, and voice mail, Apple is likely to release an update to iOS 4.1.1. iOS 4.2 is only a few weeks away, but when a security issue is this public, Apple likes to close them up, real quick.

This is a major concern for jailbreakers, as other exploits can be closed at the same time. For example, we may lose one of comex’s exploits that allows untethered jailbreaks, on current iDevices. The limera1n and SHAtter exploit will still allow jailbreaking, but we would have to re-jailbreak, every time the device is rebooted.

So, if you want to keep you current jailbreak, DO NOT UPDATE, via iTunes. You will lose your jailbreak and unlock. To ensure you can downgrade to iOS4.1, should you make the terrible mistake of upgrading, make sure you have your SHSH blobs saved in Cydia. Open Cydia, and check the top of the home page. Cydia will tell you if you have SHSH’s saved. If you don’t, use TinyUmbrella to save them NOW!

Don't forget to follow iJailbreak.com on Facebook, Twitter and Google+. Be sure to check out our partnership page where you can get mentorship on starting your own business online.